27
Content-Disposition: inline; filename="
58
f6de5eb2e20454b0bff875d6e78d76bf5c93a86d..4f597863da9a06972124e76bdfa7cc45d8aa7b84.patch
423
Last-Modified: Wed, 02 Jul 2025 18:31:38 GMT
Expires: Sat, 30 Jun 2035 18:31:38 GMT

From 4f597863da9a06972124e76bdfa7cc45d8aa7b84 Mon Sep 17 00:00:00 2001
From: John MacFarlane <jgm@berkeley.edu>
Date: Mon, 12 Jan 2015 20:17:15 -0800
Subject: .travis.yml:  don't run valgrind on osx.

---
 .travis.yml | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

(limited to '.travis.yml')

diff --git a/.travis.yml b/.travis.yml
index d67dd57..fb2d83e 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -15,12 +15,13 @@ before_install:
          sudo apt-get install -qq cmake python3 valgrind
      elif [ ${TRAVIS_OS_NAME:-'linux'} = 'osx' ]
      then
-         brew update
          # We test on OSX without python3, to make sure that works
-         # brew install python3
-         brew install valgrind
      fi
 script:
  - make
  - make test
- - PROG=`ls cmark-*.*/build/src/cmark` make leakcheck
+ - |
+     if [ $(TRAVIS_ON_NAME:-'linux'} = 'linux' ]
+     then
+        PROG=`ls cmark-*.*/build/src/cmark` make leakcheck
+     fi
-- 
cgit v1.2.3


0

HTTP/1.0 500 Internal Server Error
Date: Wed, 02 Jul 2025 18:31:38 GMT
Server: OpenBSD httpd
Connection: close
Content-Type: text/html
Content-Length: 518

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>500 Internal Server Error</title>
<style type="text/css"><!--
body { background-color: white; color: black; font-family: 'Comic Sans MS', 'Chalkboard SE', 'Comic Neue', sans-serif; }
hr { border: 0; border-bottom: 1px dashed; }
@media (prefers-color-scheme: dark) {
body { background-color: #1E1F21; color: #EEEFF1; }
a { color: #BAD7FF; }
}
--></style>
</head>
<body>
<h1>500 Internal Server Error</h1>
<hr>
<address>OpenBSD httpd</address>
</body>
</html>
